Subject: bug#70784: Abolish string resizing

From: Po Lu <[email-masked]>
Date: Mon, 06 May 2024 20:29:05 +0800

Eli Zaretskii <[email-masked]> writes:

> Which is why no one is proposing to make string immutable.  This is
> not what this proposal is about, and Mattias made a point of saying
> that explicitly.

The point is that CL string implementations are capable of modifying
strings in such a manner as Mattias proposes to "abolish".  I presume
some are implemented as Emacs's are, while others simply use a
representation for multibyte strings where all characters are the same
wide size (which incidentally there's nothing preventing Emacs from
implementing).